from collections import OrderedDict

import defs.labels
import defs.classes


class Cargos:

    def __init__(self, ignore_unknown=True):
        self.labels = defs.labels.labels()
        self.classes = defs.classes.values
        self.init_maps(ignore_unknown)

    def init_maps(self, ignore_unknown):
        self.cargo_map = OrderedDict()
        for label in self.labels:
            if ignore_unknown and not self.labels[label]['industries']:
                continue
            self.cargo_map[label] = set()
        self.cc_map = OrderedDict()
        for val in self.classes:
            key = self.classes[val]['name']
            cargos = set()
            for label in self.cargo_map:
                if val & self.labels[label]['cargo_class']:
                    cargos.add(label)
                    self.cargo_map[label].add(key)
            self.cc_map[key] = {
                'cargos': cargos, 'name_nml': self.classes[val]['name_nml']}
