# Imported from parse_cargo_classes.py, nml names added manually
from collections import OrderedDict

values = OrderedDict()
values[0x1] = {
        'name': 'Passengers',
        'name_nml': 'CC_PASSENGERS',
        'wagon_type': 'passenger wagon',
        'usage': 'OR',
        'tips': 'never exclude'
}
values[0x2] = {
        'name': 'Mail',
        'name_nml': 'CC_MAIL',
        'wagon_type': 'closed or mail wagon',
        'usage': 'OR',
        'tips': 'never exclude'
}
values[0x4] = {
        'name': 'Express',
        'name_nml': 'CC_EXPRESS',
        'wagon_type': 'closed or mail wagon',
        'usage': 'OR',
        'tips': 'never exclude, suitable for airplane or maglev'
}
values[0x8] = {
        'name': 'Armored',
        'name_nml': 'CC_ARMOURED',
        'wagon_type': 'armored or mail wagon',
        'usage': 'OR',
        'tips': 'never exclude'
}
values[0x10] = {
        'name': 'Bulk (Uncountable)',
        'name_nml': 'CC_BULK',
        'wagon_type': 'open or hopper wagon',
        'usage': 'OR',
        'tips': 'never exclude'
}
values[0x20] = {
        'name': 'Piece Goods (Countable)',
        'name_nml': 'CC_PIECE_GOODS',
        'wagon_type': 'closed or open wagon',
        'usage': 'OR',
        'tips': 'never exclude'
}
values[0x40] = {
        'name': 'Liquid',
        'name_nml': 'CC_LIQUID',
        'wagon_type': 'tank wagon',
        'usage': 'OR',
        'tips': 'never exclude'
}
values[0x80] = {
        'name': 'Refrigerated',
        'name_nml': 'CC_REFRIGERATED',
        'wagon_type': 'refrigerated wagon',
        'usage': 'OR/AND NOT',
        'tips': 'only exclude, when Piece Goods included'
}
values[0x100] = {
        'name': 'Hazardous',
        'name_nml': 'CC_HAZARDOUS',
        'wagon_type': 'unknown',
        'usage': 'OR/AND NOT',
        'tips': 'only exclude, when special wagons are provided.'
}
values[0x200] = {
        'name': 'Covered (weather protected)',
        'name_nml': 'CC_COVERED',
        'wagon_type': 'closed wagon, any other wagon with tarpaulin or weather cover',
        'usage': 'OR/AND NOT',
        'tips': 'do not exclude for Liquid'
}
values[0x400] = {
        'name': 'Oversized',
        'name_nml': 'CC_OVERSIZED',
        'wagon_type': 'stake/flatbed wagon',
        'usage': 'OR/AND NOT',
        'tips': 'only exclude, when Piece Goods included'
}
values[0x800] = {
        'name': 'Powderized (moist protected)',
        'name_nml': 'CC_POWDERIZED',
        'wagon_type': 'powder/silo wagon',
        'usage': 'OR/AND NOT',
        'tips': 'only exclude, when Bulk included'
}
values[0x1000] = {
        'name': 'Not Pourable',
        'name_nml': 'CC_NON_POURABLE',
        'wagon_type': 'open wagon, but not hopper wagon',
        'usage': 'AND NOT',
        'tips': 'only exclude, when Bulk included'
}
